package org.apache.bcel.generic;

import org.apache.bcel.ExceptionConst;

public class ARRAYLENGTH extends Instruction implements ExceptionThrower, StackProducer, StackConsumer
{
    public ARRAYLENGTH() {
        super((short)190, (short)1);
    }
    
    @Override
    public void accept(final Visitor v) {
        v.visitExceptionThrower(this);
        v.visitStackProducer(this);
        v.visitARRAYLENGTH(this);
    }
    
    @Override
    public Class<?>[] getExceptions() {
        return new Class[] { ExceptionConst.NULL_POINTER_EXCEPTION };
    }
}
